
/*---------------------------------------
  CUSTOM PROPERTIES ( VARIABLES )             
-----------------------------------------*/
:root {
    --white-color: #FFFFFF;
    --primary-color: #0F4C0F;
    --section-bg-color: #f0f8ff;
    --dark-color: #000000;
    --grey-color: #d0d1d1;
    --p-color: #717275;
    --body-font-family: 'Inter', sans-serif;
    --h5-font-size: 24px;
    --p-font-size: 20px;
    --copyright-text-font-size: 16px;
    --product-link-font-size: 14px;
    --custom-link-font-size: 12px;
    --font-weight-thin: 100;
    --font-weight-light: 300;
    --font-weight-normal: 400;
    --font-weight-bold: 700;
    --font-weight-black: 900;
}

body,
html {
  height: 100%;
}

html {
  scroll-behavior: smooth;
}

@media screen and (prefers-reduced-motion: reduce) {
  html {
    scroll-behavior: auto;
  }
}

body {
    background: var(--white-color);
    font-family: var(--body-font-family);
    position: relative;
    
}

/*---------------------------------------
  TYPOGRAPHY               
-----------------------------------------*/

h2,
h3,
h4,
h5,
h6 {
  color: var(--dark-color);
  line-height: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: var(--font-weight-bold);
}

h1,
h2 {
  font-weight: var(--font-weight-black);
}

h1 {
  font-size: 64px;
  line-height: normal;
}

h2 {
  font-size: 42px;
}

h3 {
  font-size: 36px;
}

h4 {
  font-size: 32px;
}

h5 {
  font-size: 24px;
}

h6 {
    font-size: 10px;
    color: var(--p-color);
    font-size: var(--p-font-size);
    font-weight: var(--font-weight-light);
}

p {
  color: var(--p-color);
  font-size: var(--p-font-size);
  font-weight: var(--font-weight-light);
}



a, 
button {
  touch-action: manipulation;
  transition: all 0.3s;
}

a {
  color: var(--p-color);
  text-decoration: none;
}

a:hover {
  color: var(--primary-color);
}

.text-primary {
  color: var(--primary-color) !important;
}

::selection {
  background: var(--primary-color);
  color: var(--white-color);
}
/*---------------------------------------
  box link         
-----------------------------------------*/
.box-link {
    text-decoration: none;
    color: inherit;
    display: block;
}

.box {
    cursor: pointer;
}

    .box:hover {
        transform: translateY(-5px);
        transition: 0.2s ease;
    }

/*---------------------------------------
  box container              
-----------------------------------------*/
/* CELÝ GRID */
.feature-grid {
    display: grid;
    /* Max 3 sloupce, lichá karta se díky justify-content vycentruje */
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    justify-content: center;
    gap: 50px;
    padding: 30px;
    max-width: 1620px;
    margin: 0 auto;
}

/* Fixace na max 3 sloupce pro velké obrazovky */
@media (min-width: 1620px) {
    .feature-grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

/* CELÁ KARTA */
.feature-card {
    position: relative;
    width: 100%;
    max-width: 480px;
    aspect-ratio: 6 / 4;
    background: #234F1E;
    border-radius: 30px;
    padding: 40px;
    color: #fff;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    margin: 10px auto; /* Margin kvůli vykukujícímu rámečku */
}

    /* OFSETOVÝ RÁMEČEK */
    .feature-card::before {
        content: "";
        position: absolute;
        inset: -7px; /* Rámeček vně karty */
        border: 3px solid #234F1E;
        border-radius: 36px;
        pointer-events: none;
    }

    /* IKONA A TEXT */
    .feature-card .icon {
        width: 40px;
        height: 40px;
        object-fit: contain;
        margin-bottom: 20px;
    }

    .feature-card h3 {
        font-size: 24px;
        margin-bottom: 15px;
    }

/* MOBILNÍ VERZE */
@media (max-width: 650px) {
    .feature-grid {
        grid-template-columns: 1fr; /* Striktně pod sebou */
        padding: 20px;
        gap: 30px;
    }

    .feature-card {
        /* Šířka s rezervou pro rámeček, aby se stránka nehýbala */
        width: calc(100% - 20px);
        aspect-ratio: auto;
        min-height: 250px;
        padding: 30px 20px;
    }
}


/*---------------------------------------
  feature card. alt              
-----------------------------------------*/
.feature-grid.alt {
    display: grid;
    /* Změna: minmax nastavíme tak, aby se karty nesnažily být příliš malé */
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 30px; /* Větší mezera pro rámečky */
    max-width: 1400px;
    margin: 60px auto;
    padding: 20px; /* Důležité: místo pro ty vykukující rámečky */
    justify-content: center;
    justify-items: center; /* Vycentruje karty v mřížce */
}
.feature-card:last-child:nth-child(3n + 1) {
    grid-column: 1 / -1; /* Roztáhne se přes celé, aby mohl fungovat margin auto */
    justify-self: center; /* Vycentruje kartu v rámci toho roztaženého sloupce */
    max-width: 450px; /* Aby se neroztáhla na celou šířku stránky */
}

.feature-card.alt {
    position: relative;
    width: 100%;
    max-width: 450px; /* Maximální šířka jedné karty */
    background: #234F1E;
    border-radius: 30px;
    color: #fff;
    display: flex;
    flex-direction: column;
    overflow: visible; /* Ořízne obrázek podle border-radius karty */
    box-sizing: border-box;
    margin: 10px 0; /* Prostor pro horní/spodní rámeček */
}

.card-img {
    width: 100%;
    height: 500px; /* Fixní výška obrázku, aby karty lícovaly */
    object-fit: cover;
}

.feature-card.alt::before {
    content: "";
    position: absolute;
    /* Rámeček musí být vně, ale nesmí zbořit layout */
    inset: -7px;
    border: 3px solid #234F1E;
    border-radius: 36px;
    pointer-events: none;
    z-index: 1;
}

/* --- Media Query pro mobil --- */

@media (max-width: 600px) {
    .feature-grid.alt {
        /* Vynutíme jeden sloupec */
        grid-template-columns: 1fr;
        gap: 40px;
        padding: 15px;
    }

    .feature-card.alt {
        /* Na mobilu se šířka přizpůsobí displeji minus prostor pro rámeček */
        width: calc(100% - 20px);
        max-width: 350px; /* Aby karta nebyla na mobilu příliš obří */
    }
}
    /*---------------------------------------
  CUSTOM LINK               
-----------------------------------------*/
    .custom-link {
  color: var(--p-color);
  font-size: var(--custom-link-font-size);
  font-weight: var(--font-weight-bold);
  text-transform: uppercase;
  position: relative;
}

.custom-link i {
  position: absolute;
  opacity: 0;
  bottom: 0;
  left: 100%;
  transition: all 0.3s;
  line-height: normal;
}

.custom-link:hover i {
  opacity: 1;
  left: 101%;
}

.lead {
  font-size: 1.5rem;
  font-weight: var(--font-weight-thin);
}

b,
strong {
  font-weight: var(--font-weight-bold);
}

/*---------------------------------------
  PRE LOADER               
-----------------------------------------*/
.preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 99999;
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  align-items: center;
  background: none repeat scroll 0 0 var(--white-color);
}

.spinner {
  border: 1px solid transparent;
  border-radius: 5px;
  position: relative;
}

.spinner::before {
  content: '';
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 60px;
  height: 45px;
  margin-top: -10px;
  margin-left: -23px;
  border-radius: 50%;
  border: 1px solid #959595;
  border-top-color: var(--white-color);
  animation: spinner .9s linear infinite;
}

@keyframes spinner {
  to {transform: rotate(360deg);}
}

/*---------------------------------------
  CUSTOM BUTTON & ICON              
-----------------------------------------*/
.custom-btn {
  background: var(--dark-color);
  border-radius: 50px;
  color: var(--white-color);
  font-size: var(--copyright-text-font-size);
  text-transform: uppercase;
  padding: 16.50px 20px;
}

.social-btn {
  background: transparent;
  border: 1px solid var(--grey-color);
  color: var(--dark-color);
  text-transform: none;
}

.social-btn:hover {
  border-color: transparent;
}

.cart-form-select {
  border-radius: 0;
  padding-top: 15px;
  padding-bottom: 15px;
}

.cart-btn {
  border-radius: 0;
  width: 100%;
  font-size: var(--product-link-font-size);
}

.custom-btn:hover,
.slick-slideshow .custom-btn:hover {
  background: var(--primary-color);
  color: var(--white-color);
}

.custom-icon {
  color: var(--p-color);
  font-size: 24px;
}

.custom-icon {
  display: inline-block;
  vertical-align: middle;
}

.bi-bag.custom-icon {
  font-size: 17px;
}

.featured-icon {
  color: var(--grey-color);
  font-size: 52px;
}

/*---------------------------------------
  DIV SEPARATOR               
-----------------------------------------*/
.div-separator {
  position: relative;
}

.div-separator::before {
  content: "";
  height: 1px;
  background: var(--grey-color);
  display: block;
  width: 100%;
}

.div-separator span {
  position: absolute;
  top: 50%;
  margin-left: -22.5px;
  left: 50%;
  text-align: center;
  background: var(--white-color);
  margin-top: -11px;
  color: var(--dark-color);
  font-weight: var(--font-weight-bold);
  font-size: 14px;
  width: 35px;
  text-transform: uppercase;
}

/*---------------------------------------
  FULL IMAGE               
-----------------------------------------*/
.full-image-img {
  display: block;
  position: absolute;
  z-index: -1;
  right: 0;
  width: 100%;
  bottom: -120px;
  min-width: 650px;
}

@media (min-width: 1600px) {
  .full-image-img {
    bottom: -200px;
  }
}
/*---------------------------------------
  Equipment              
    -------------------------------------*/
.equipment {
    width: 100%;
    max-width: 1400px;
    padding: 60px 20px;
}

/* Nadpis a popisek nad gridem */
.equipment-header h2 {
    color: #0d6efd;
    font-size: 2.5em;
    margin-bottom: 15px;
}

.equipment-header p {
    font-size: 1.2em;
    margin-bottom: 50px;
    max-width: 800px;
    margin-left: auto;
    margin-right: auto;
}

/* Grid karet */
.equipment-grid {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 500px));
    gap: 50px;
    justify-content: center;
}

/* Jednotlivé karty */
.equipment-card {
    width: 480px;
    aspect-ratio: 6 / 4;
    background: #234F1E;
    border-radius: 30px;
    padding: 40px;
    text-align: center;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-size: 14px;
}

    /* rámeček kolem karty */
    .equipment-card::before {
        content: "";
        position: absolute;
        inset: -7px;
        border: 3px solid #234F1E;
        border-radius: 36px;
    }

    /* nadpis a text v kartě */
    .equipment-card h3 {
        font-size: 18px;
        margin-bottom: 15px;
        color: #fff;
    }

    .equipment-card p {
        font-size: 14px;
        line-height: 1.5;
    }

/* Responsivní grid pro mobil */
@media (max-width: 1024px) {
    .equipment-grid {
        grid-template-columns: repeat(2, minmax(0, 500px));
    }
}

@media (max-width: 700px) {
    .equipment-grid {
        grid-template-columns: 1fr;
    }
}

/*---------------------------------------
  NAVIGATION               
-----------------------------------------*/
.navbar {
    background: var(--white-color);
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    padding: 25px 0;
    z-index: 2;
    will-change: transform;
    transition: transform 300ms linear;
}

.navbar span, h2 span, h4 span {
	color: var(--primary-color);
}

.navbar.headroom--not-top {
  padding: 20px 0;
}

.headroom--pinned {
  transform: translate(0, 0);
}

.headroom--unpinned {
  transform: translate(0, -150%);
}

.navbar-brand {
  color: var(--dark-color);
  font-size: 24px;
  font-weight: var(--font-weight-light);
  margin: 0;
  padding: 0;
}

.navbar-expand-lg .navbar-nav .nav-link {
  display: inline-block;
  padding: 0;
  margin-right: 1.5rem;
  margin-left: 1.5rem;
}

.nav-link {
  color: var(--p-color);
  font-size: 16px;
  position: relative;
}

.navbar .nav-link::after {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  height: 2px;
  background: var(--grey-color);
  content: '';
  opacity: 0;
  -webkit-transition: opacity 0.3s, -webkit-transform 0.3s;
  -moz-transition: opacity 0.3s, -moz-transform 0.3s;
  transition: opacity 0.3s, transform 0.3s;
  -webkit-transform: translateY(10px);
  -moz-transform: translateY(10px);
  transform: translateY(10px);
}

.navbar .nav-link.active::after,
.navbar .nav-link:hover::after {
    opacity: 1;
    -webkit-transform: translateY(0px);
    -moz-transform: translateY(0px);
    transform: translateY(0px);
}

.navbar .nav-link.active,
.navbar .nav-link:hover {
  color: var(--primary-color);
}

.nav-link:focus, 
.nav-link:hover {
  color: var(--p-color);
}

.navbar-toggler {
  border: 0;
  padding: 0;
  cursor: pointer;
  margin: 0;
  width: 30px;
  height: 35px;
  outline: none;
}

.navbar-toggler:focus {
  outline: none;
  box-shadow: none;
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon {
  background: transparent;
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:before,
.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:after {
  transition: top 300ms 50ms ease, -webkit-transform 300ms 350ms ease;
  transition: top 300ms 50ms ease, transform 300ms 350ms ease;
  transition: top 300ms 50ms ease, transform 300ms 350ms ease, -webkit-transform 300ms 350ms ease;
  top: 0;
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:before {
  transform: rotate(45deg);
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:after {
  transform: rotate(-45deg);
}

.navbar-toggler .navbar-toggler-icon {
  background: var(--dark-color);
  transition: background 10ms 300ms ease;
  display: block;
  width: 30px;
  height: 2px;
  position: relative;
}

.navbar-toggler .navbar-toggler-icon::before,
.navbar-toggler .navbar-toggler-icon::after {
  transition: top 300ms 350ms ease, -webkit-transform 300ms 50ms ease;
  transition: top 300ms 350ms ease, transform 300ms 50ms ease;
  transition: top 300ms 350ms ease, transform 300ms 50ms ease, -webkit-transform 300ms 50ms ease;
  position: absolute;
  right: 0;
  left: 0;
  background: var(--dark-color);
  width: 30px;
  height: 2px;
  content: '';
}

.navbar-toggler .navbar-toggler-icon:before {
  top: -8px;
}

.navbar-toggler .navbar-toggler-icon:after {
  top: 8px;
}
@media (max-width: 991px) {
    .navbar-collapse {
        position: fixed; /* překryje obsah */
        top: 0;
        left: 0;
        width: 100%;
        background: white;
        z-index: 1000;
        display: none; /* standardně skryté */
    }

        /* když se menu otevře */
        .navbar-collapse.show {
            display: block; /* menu je vidět celé */
        }

    .navbar-toggler {
        display: block; /* hamburger tlačítko viditelné */
    }
}


/*---------------------------------------
  SITE HEADER              
-----------------------------------------*/
.site-header {
    padding: 40px 0;
}

.header-content {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 30px;
    flex-wrap: wrap; /* zajistí, že se to složí pod sebe na menších obrazovkách */
}

.header-text {
    flex: 1 1 55%;
    color: black;
    text-align: justify;
    line-height: 1.6;
}

.header-image-wrapper {
    flex: 1 1 35%;
    display: flex;
    justify-content: flex-end;
}

.header-image {
    max-width: 100%;
    height: auto;
    border-radius: 10px;
}

/* Responsivní úprava */
@media (max-width: 768px) {
    .header-content {
        flex-direction: column;
        align-items: center;
    }

    .header-image-wrapper {
        justify-content: center;
        margin-top: 20px;
    }

    .header-text {
        flex: 1 1 100%;
    }
}

.right-fixed-shape {
    position: fixed; /* 🔹 zůstane na stejném místě při scrollování */
    top: 80px; /* 🔹 vzdálenost od horního okraje (můžeš měnit např. 50px, 100px...) */
    right: 0; /* 🔹 přilepené na pravý okraj */
    width: 500px; /* 🔹 velikost obrázku – můžeš upravit */
    height: auto; /* zachová poměr stran */
    z-index: 9999; /* 🔹 zajistí, že bude nad ostatními prvky */
    pointer-events: none; /* 🔹 kliknutí prochází skrz – neblokuje obsah */
    opacity: 0.95; /* volitelné – mírně průhledné */
}

/*---------------------------------------
  divider         
-----------------------------------------*/
.divider {
    border: none; 
    border-top: 3px solid #ccc; 
    margin: 20px 0; 
    width: 50% 0;
}
    /*---------------------------------------
  MAP CONTAINER              
-----------------------------------------*/
    .map-full-width {
    width: 100vw; /* šířka celé obrazovky */
    display: flex;
    justify-content: flex-end; 
}

.map-wrapper {
    position: relative; 
    top: 100px; 
    right: 60px; 
    width: 500px; 
    height: 500px;
    border-radius: 10px;
    overflow: hidden;
    z-index: 1000; 
}

    .map-wrapper iframe {
        width: 100%;
        height: 100%;
        border: 0;
    }


/*---------------------------------------
  Kontakt              
-----------------------------------------*/

.kontakt-container {
    display: flex;
    flex-wrap: wrap;
    gap: 40px;
    align-items: flex-start;
    padding: 40px 20px;
    max-width: 1000px;
    margin: 0 auto;
}

.kontakt-info {
    flex: 1 1 400px;
    line-height: 1.6;
}

.mapa iframe {
    border-radius: 12px;
    box-shadow: 0 2px 10px rgba(0,0,0,0.15);
}

.firma {
    margin-top: 80px;
}

.firma-info {
    line-height: 1.6;
}

strong {
    font-weight: 600;
}

    /*---------------------------------------
  SLICK SLIDESHOW               
-----------------------------------------*/
    @media (min-width: 992px) {
        .slick-slideshow {
            height: 100vh;
        }
    }

    .slick-slideshow {
    margin-top: 86px;
}

.slick-title {
    color: var(--white-color);
}

.slick-custom {
    display: flex;
    align-items: center; /* vertikálně */
    justify-content: center;
}

    .slick-custom img {
        width: 100%;
        height: 100%;
        object-fit: contain;
    }
.slide-text {
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    font-size: clamp(1.8rem, 4vw, 3.5rem);
    font-weight: 700;
    text-align: center;
    z-index: 10;
    pointer-events: none; /* aby to neblokovalo swipe */
}

.slick-bottom {
    background: linear-gradient(to top, var(--dark-color), transparent 90%);
    position: absolute; 
    z-index: 2;
    bottom: 0;
    right: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

    .slick-bottom .container {
        position: absolute;
        top: 40%;
        left: 50%;
        transform: translate(-50%, -40%);
    }

.slick-overlay {
    background: linear-gradient(to top, #000, transparent 120%);
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.slick-slideshow .custom-btn {
    font-weight: var(--font-weight-bold);
    display: inline-block;
    padding-right: 32px;
    padding-left: 32px;
}

@media (min-width: 576px) {
    .slick-slideshow .slick-dots {
        max-width: 540px;
    }
}

@media (min-width: 768px) {
    .slick-slideshow .slick-dots {
        max-width: 720px;
    }
}

@media (min-width: 991px) and (max-width: 1450px) {
    .slick-slideshow .slick-dots {
        max-width: 720px;
        bottom: 50px;
    }
}



@media (min-width: 1451px) {
    .slick-slideshow .slick-dots {
        max-width: 1320px;
    }
}

.slick-slideshow .slick-dots {
    position: absolute;
    z-index: 2;
    top: 50%;
    left: 0;
    right: 0;
    transform: translate(0, -50%);
    margin: 0 auto;
    padding: 0;
}

    .slick-slideshow .slick-dots li {
        background: transparent;
        border: 5px solid rgba(255, 255, 255, 0.35);
        border-radius: 100%;
        display: block;
        width: 30px;
        height: 30px;
        margin: 10px;
        padding: 5px;
        margin-left: auto;
        cursor: pointer;
    }

    .slick-slideshow .slick-dots button {
        background: transparent;
        border: none;
        color: transparent;
        display: block;
        width: 100%;
        height: 0;
        margin: 0;
        padding: 0;
        outline: none;
        height: 0;
    }

    .slick-slideshow .slick-dots li:hover,
    .slick-slideshow .slick-dots .slick-active {
        background: var(--white-color);
    }
/*---------------------------------------
  language switch              
-----------------------------------------*/
.lang-switch {
    margin-left: auto;
    gap: 1px;
}

.lang-btn img {
    width: 35px;
    height: 35px;
    border-radius: 10px;
   
    padding: 2px;
    transition: all 0.2s ease;
}

    .lang-btn img:hover {
        transform: scale(1.1);
        opacity: 0.9;
    }
.lang-btn.active img {
    transform: scale(1.15);
}


/*---------------------------------------
  Services container               
-----------------------------------------*/
.skewed-section {
    position: relative; /* drží se v dokument flow */
    width: 100%; /* celá šířka rodiče */
    height: 45vh;
    background: #234F1E;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    clip-path: polygon(0 0, 100% 10%, 100% 100%, 0 90%);
    z-index: 20;
    margin-top: -40vh; /* pokud chceš aby přesahovala předchozí sekci */
}
@media (min-width: 770px) and (max-width: 990px) {
    .skewed-section {
        clip-path: polygon(0 0, 100% 3%, 100% 100%, 0 97%);
        margin-top: 0;
        padding: 100px 60px; /* rozumný spacing */
        min-height: auto;
        box-sizing: border-box;
        margin-top: -18vh;
    }
}
@media (max-width: 769px) {
    .skewed-section {
        clip-path: polygon(0 0, 100% 3%, 100% 100%, 0 97%);
        margin-top: -13vh;
        padding: 500px 100px; /* takhle je to OK */
        min-height: auto;
        box-sizing: border-box;
    }
}
@media (min-width: 991px) and (max-width: 1450px) {
    .skewed-section {
        clip-path: polygon(0 0, 100% 10%, 100% 100%, 0 90%);
        
        padding: 100px 60px; /* rozumný spacing */
        min-height: auto;
        box-sizing: border-box;
        margin-top: -65vh;
    }
}




.content {
    display: flex;
    gap: 50px;
    text-align: center;
}
@media (max-width: 768px) {
    .content {
        flex-direction: column;
        gap: 30px;
    }
}
.box {
    max-width: 300px;
}

    .box img {
        width: 50px;
        margin-bottom: 10px;
    }
.slider-wrapper {
    position: relative;
    margin-bottom: 20vh;
}
.skewed-section.alt {
    position: relative;
    top: 0; /* zrušíme posun dolů, aby to bylo těsně pod navbar */
    width: 100%;
    height: 20vh; /* trochu vyšší, aby úhel vynikl */
    background: #234F1E;
    color: #234F1E;
    display: flex;
    align-items: center;
    justify-content: center;
    /* výraznější sklon – úhel zvětšený */
    clip-path: polygon(0 0, 100% 20%, 100% 100%, 0 80%);
    margin-top: 80px; /* podle výšky navbaru */
}
/* Tablet */
@media (max-width: 1024px) {
    .skewed-section.alt {
        height: 15vh; /* nižší sekce, úhel se stále zachová */
        clip-path: polygon(0 0, 100% 15%, 100% 100%, 0 85%); /* mírnější sklon */
        margin-top: 200px; /* posun níž než na desktopu */
    }
}

/* Mobil */
@media (max-width: 600px) {
    .skewed-section.alt {
        height: 12vh; /* ještě nižší sekce */
        clip-path: polygon(0 0, 100% 12%, 100% 100%, 0 88%); /* úhel jemnější */
        margin-top: 200px; /* níže, aby nebylo těsně pod navbar */
        padding: 0 10px; /* případný prostor pro obsah */
    }
}

.skewed-section.bottom {
    position: relative;
    top: 0; /* zrušíme posun dolů, aby to bylo těsně pod navbar */
    width: 100%;
    height: 20vh; /* trochu vyšší, aby úhel vynikl */
    background: #234F1E;
    color: #234F1E;
    display: flex;
    align-items: center;
    justify-content: center;
    /* výraznější sklon – úhel zvětšený */
    clip-path: polygon(0 10%, 100% 0, 100% 100%, 0 100%);
    margin-top: 80px; /* podle výšky navbaru */
}
.skewed-section.contact {
    position: relative;
    width: 100%;
    height: 40vh; /* trochu vyšší, aby úhel vynikl */
    background: #234F1E;
    color: #234F1E;
    display: flex;
    align-items: center;
    justify-content: center;
    clip-path: polygon(0 0, 100% 18%, 100% 98%, 0 100%);
    margin-top: 80px;
    top: 0;
}


.skew-underline {
    position: relative;
    display: inline-block;
    margin-top: 40px;
    justify-content: center;
}

    .skew-underline::after {
        content: "";
        position: absolute;
        left: 0;
        bottom: -6px;
        width: 100%;
        height: 4px;
        background: #234F1E;
        transform: skewX(-20deg);
        transform-origin: center;
        width: 60%; /* délka podtržení */
        height: 7px;
    }


    
    /*---------------------------------------
  CUSTOM CIRCLE IMAGES               
-----------------------------------------*/
    .custom-circle-image {
  border-radius: 100px;
  width: 55px;
  height: 55px;
} .custom-circle-image.team-image {
  width: 85px;
  height: 85px;
}
/*---------------------------------------
  Inverted IMAGES               
-----------------------------------------*/
.icon-white {
    filter: brightness(0) invert(1);
}

    /*---------------------------------------
  TESTIMONIAL               
-----------------------------------------*/
    .slick-testimonial .slick-list, .slick-testimonial .slick-track {
  height: 100%;
} .slick-testimonial {
  margin: auto;
} .slick-testimonial-caption {
  quotes: '❝' '❞';
  position: relative;
  padding: 5rem 7rem;
} .slick-testimonial-caption::before {
  content: open-quote;
  display: inline-block;
  color: var(--primary-color);
  font-family: auto;
  font-size: 100px;
  height: 0;
  position: absolute;
  top: 0;
  left: 0;
} .slick-testimonial .slick-dots {
  text-align: center;
} .slick-testimonial .slick-dots li {
  background: var(--grey-color);
  display: inline-block;
  vertical-align: top;
  width: 16%;
  height: 1px;
} .slick-testimonial .slick-dots button {
  background: transparent;
  border: none;
  color: transparent;
  display: block;
  width: 100%;
  height: 0;
  margin: 0;
  padding: 0;
} .slick-testimonial .slick-dots li:hover, .slick-testimonial .slick-dots .slick-active {
  background: var(--dark-color);
}
    /*---------------------------------------
  SECTION               
-----------------------------------------*/
    section {
  content-visibility: auto;
  contain-intrinsic-size: 700px;
} .section-padding {
  padding-top: 7rem;
  padding-bottom: 7rem;
} .featured {
  background: var(--section-bg-color);
}
    /*---------------------------------------
  ABOUT               
-----------------------------------------*/
    .about .nav-pills .nav-item {
  width: 100%;
} .about .nav-pills .nav-link {
  color: var(--grey-color);
  font-size: 18px;
  font-weight: var(--font-weight-bold);
  border-left: 1px solid var(--grey-color);
  border-radius: 0;
  padding-right: 0;
} .about .nav-pills .nav-link:hover, .about .nav-pills .nav-link.active, .about .nav-pills .show>.nav-link {
  background: transparent;
  border-left-color: var(--primary-color);
  color: var(--primary-color);
}
    /*---------------------------------------
  FAQ ACCORDION               
-----------------------------------------*/
    .accordion-item {
  background-color: transparent;
  border-top: 0;
  border-right: 0;
  border-left: 0;
} .accordion-button {
  background-color: transparent;
  box-shadow: none;
} .accordion-button:not(.collapsed) {
  background: transparent;
  box-shadow: none;
} button:focus:not(:focus-visible) {
  border-color: transparent;
  box-shadow: none;
} .accordion-body {
  border-top: 1px solid rgba(0,0,0,.125);
} .accordion-button {
  font-size: 1.5rem;
  font-weight: var(--font-weight-normal);
  padding-top: 1.5rem;
  padding-right: 0;
  padding-bottom: 1.5rem;
  padding-left: 0;
} .accordion-body {
  padding: 2rem 0;
}
    /*---------------------------------------
  TEAM MEMBERS               
-----------------------------------------*/
    .team {
  background: var(--grey-color);
} .team-thumb {
  background: var(--white-color);
  position: relative;
  border-radius: .25rem;
  padding: 42px 32px;
} .team-info {
  width: 100%;
} .custom-modal-btn {
  background: var(--grey-color);
  color: var(--white-color);
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  margin: auto 32px;
  width: 42px;
  height: 42px;
} .modal-body {
  padding: 4rem;
} .modal-header {
  padding-top: 7rem;
  padding-bottom: 5rem;
} .modal-header .btn-close {
  position: absolute;
  top: 0;
  right: 0;
  font-size: 24px;
  margin: 32px;
} #cart-modal .modal-header .btn-close {
  z-index: 2;
  margin: 22px;
} #cart-modal .modal-header {
  border-bottom: 0;
  padding: 0;
} #cart-modal .modal-footer {
  padding: 2rem 4rem;
}
    /*---------------------------------------
  SKILL - PROGRESS BAR               
-----------------------------------------*/
    .skill-thumb strong {
  display: inline-block;
  margin-bottom: 6px;
} .skill-thumb span {
  color: var(--dark-color);
  font-size: 24px;
  font-weight: var(--font-weight-bold);
} .skill-thumb .progress {
  background: var(--white-color);
  box-shadow: none;
  border-radius: 100px;
  height: 1px;
  margin-bottom: 16px;
} .skill-thumb .progress .progress-bar-primary {
  background: var(--grey-color);
}
    /*---------------------------------------
  PRODUCT               
-----------------------------------------*/
    .front-product {
  background: var(--section-bg-color);
} .product-thumb {
  background: var(--white-color);
  position: relative;
  transition: all 0.5s ease-out;
} .product-image {
  transition: all 0.5s ease-out;
} .product-thumb:hover .product-image {
  box-shadow: 0 1rem 3rem rgba(0,0,0,.175);
} .product-top {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  margin: 20px;
} .product-info {
  padding: 30px 20px;
} .product-description, .product-cart-thumb {
  padding: 0 20px;
} .product-icon {
  color: var(--white-color);
} .product-title-link {
  color: var(--dark-color);
} .product-additional-link {
  display: inline-block;
  vertical-align: top;
  font-size: var(--product-link-font-size);
  margin-top: 32px;
  margin-right: 12px;
} .product-alert {
  background: var(--white-color);
  color: var(--p-color);
  font-size: var(--custom-link-font-size);
  font-weight: var(--font-weight-bold);
  padding: 3px 10px;
} .product-p {
  font-size: var(--product-link-font-size);
} .view-all {
  text-transform: uppercase;
  color: var(--p-color);
  font-size: 13px;
  font-weight: var(--font-weight-bold);
  border-bottom: 2px solid var(--grey-color);
  padding-bottom: 6px;
}
    /*---------------------------------------
  CONTACT              
-----------------------------------------*/
    .contact-info {
  padding: 40px;
} .contact-form .form-control {
  border-color: var(--grey-color);
  font-weight: var(--font-weight-normal);
} .form-floating>label {
  color: var(--grey-color);
  font-weight: var(--font-weight-normal);
} .contact-form button[type='submit'] {
  background: var(--dark-color);
  border: none;
  border-radius: 100px;
  color: var(--white-color);
  font-weight: var(--font-weight-bold);
  text-transform: uppercase;
  padding: 16px;
}
    .contact-form button[type='submit']:hover {
        background: var(--primary-color);
    }
/*---------------------------------------
  Production design          
-----------------------------------------*/
p.subtitle {
    max-width: 600px;
    margin: 0 auto 50px;
    color: #555;
    font-size: 1.1rem;
}

.steps {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 40px;
}

.step {
    background: #ffffff;
    border-radius: 16px;
    padding: 30px;
    width: 250px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

    .step:hover {
        transform: translateY(-5px);
        box-shadow: 0 8px 16px rgba(0,0,0,0.15);
    }

.gear {
    width: 70px;
    height: 70px;
    margin: 0 auto 20px;
    background: #5fa976;
    mask: url('https://www.svgrepo.com/show/448264/gear.svg') no-repeat center;
    -webkit-mask: url('https://www.svgrepo.com/show/448264/gear.svg') no-repeat center;
    mask-size: contain;
    -webkit-mask-size: contain;
}

.step h3 {
    font-size: 1.2rem;
    color: #2b2b2b;
    margin-bottom: 10px;
}

.step p {
    font-size: 0.95rem;
    color: #555;
    margin: 0;
}

    
    /*---------------------------------------
  SITE FOOTER               
-----------------------------------------*/
    .site-footer {
    background:var(--dark-color);
    padding-top: 4rem;
    padding-bottom: 1rem;
} .footer-menu {
  margin: 0;
  padding: 0;
} .footer-menu-item {
  display: block;
  width: 50%;
} .footer-menu-link {
  color: #6c757d;
  font-weight: var(--font-weight-light);
  display: inline-block;
  vertical-align: top;
  margin-top: 4px;
  margin-bottom: 4px;
} .site-footer .social-icon-link {
  margin-top: 4px;
} .site-footer .social-icon-link:hover, .footer-menu-link:hover {
  color: var(--white-color);
} .copyright-text {
  font-size: var(--copyright-text-font-size);
}
    /*---------------------------------------
  RESPONSIVE STYLES               
-----------------------------------------*/
    @media screen and (max-width: 1200px) {
  h1 {
    font-size: 62px;
  }
} @media screen and (max-width: 991px) {
  h1 {
    font-size: 42px;
    margin-bottom: 0;
  }

  h2 {
    font-size: 36px;
  }

  h3 {
    font-size: 32px;
  }

  h4 {
    font-size: 28px;
  }

  h5 {
    font-size: 24px;
  }

  h6 {
    font-size: 20px;
  }

  .lead {
    font-size: 16px;
  }

  .navbar-expand-lg .navbar-nav .nav-link {
    margin-top: 1rem;
  }

  .site-header {
    background-position: bottom;
  }

  #cart-modal .modal-header .btn-close {
    margin: 22px 14px;
  }

  .custom-btn {
    font-size: 14px;
    padding: 13.5px 20px;
  }

  .slick-slideshow .custom-btn {
    padding-right: 27px;
    padding-left: 27px;
  }

  .social-login,
  .div-separator {
    width: 75% !important;
  }

  #cart-modal .modal-footer .row {
    width: 100% !important;
  }

  .site-header.section-padding,
  .section-padding {
    padding-top: 4rem;
    padding-bottom: 4rem;
  }

  .site-header-image.section-padding {
    padding-bottom: 0;
  }

  .header-info {
    padding-top: 50px;
    padding-bottom: 100px;
  }

  .header-image {
    position: relative;
    top: auto;
    bottom: 0;
    left: 0;
    width: auto;
    height: auto;
  }

  .slick-testimonial-caption {
    padding: 6rem 3rem 4rem 3rem;
  }

  .slick-slideshow .slick-dots li {
    width: 25px;
    height: 25px;
  }

  .modal-header {
    padding-top: 6rem;
    padding-bottom: 2rem;
  }

  .modal-body {
    padding: 2rem;
  }

  #cart-modal .modal-footer {
    padding-right: 0;
    padding-left: 0;
  }

  #cart-modal .modal-body {
    padding: 4rem 2rem 2rem 2rem;
  }

  .full-image-img {
    bottom: 0;
  }
}

